%define api_version	1.0
%define major		1
%define libname		%mklibname gnomecups %{api_version} %{major}
%define develname	%mklibname gnomecups -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME library for CUPS integration
Name:		libgnomecups
Version:	0.2.3
Release:	%mkrel 15
License:	LGPL
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# (fc) 0.2.2-4mdv fix cups callback for authentication (SUSE)
Patch1:		libgnomecups-0.2.2-callbackfix.patch
# (fc) 0.2.2-4mdv add dbus support (Fedora)
Patch3:		libgnomecups-0.2.3-dbus.patch
# (fc) 0.2.2-4mdv parse cups loptions (ubuntu)
Patch4:		libgnomecups-0.2.2-parse-dot-cups-loptions.patch
# (fc) 0.2.2-4mdv fix remote printer detection (ubuntu)
Patch5:		libgnomecups-0.2.2-fix-islocal.patch
# (fc) 0.2.2-4mdv don't warn on stderr for IPP_NOT_FOUND (ubuntu)
Patch6:		libgnomecups-0.2.2-ignore-ipp-not-found.patch
# (fc) 0.2.2-4mdv allow to change some cups printer attributes (ubuntu)
Patch7:		libgnomecups-0.2.2-replace-set-printer-attrs.patch
Patch8:		libgnomecups-0.2.3-fix-str-fmt.patch
# (cjw) fix glib includes
Patch9:		libgnomecups-0.2.3-glib.patch
Patch10:	libgnomecups-0.2.3-automake-1.13.patch
Patch11:	libgnomecups-0.2.3-cups-1.6.patch
BuildRequires:	cups-devel 
BuildRequires:	cups-common
BuildRequires:	glib2-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	gnome-common

%description
GNOME library for CUPS integration

%package -n %{libname}
Summary:	GNOME library for CUPS integration
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}gnomecups-1.0_1 < 0.2.3-11

%description -n %{libname}
GNOME library for CUPS integration

%package -n %{develname}
Summary:	GNOME library for CUPS integration
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gnomecups-1.0-devel < 0.2.3-11

%description -n %{develname}
GNOME library for CUPS integration

%prep
%setup -q
%patch1 -p1 -b .callbackfix
%patch3 -p1 -b .dbus
%patch4 -p1 -b .parse-dot-cups-loptions
%patch5 -p1 -b .fix-is-local
%patch6 -p1 -b .ignore-ipp-not-found
%patch7 -p1 -b .replace-set-printer-attrs
%patch8 -p0 -b .str
%patch9 -p1 -b .glib
%patch10 -p1 -b .automake-1_13
%patch11 -p1 -b .cupsfix

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--with-dbus=yes

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog NEWS AUTHORS

%files -n %{libname}
%{_libdir}/%{name}-%{api_version}.so.%{major}
%{_libdir}/%{name}-%{api_version}.so.%{major}.*

%files -n %{develname}
%{_libdir}/pkgconfig/%{name}-%{api_version}.pc
%{_includedir}/%{name}-1/
%{_libdir}/%{name}-%{api_version}.so


%changelog
* Wed Feb 03 2016 umeabot <umeabot> 0.2.3-15.mga6
+ Revision: 933821
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-14.mga5
+ Revision: 750591
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-13.mga5
+ Revision: 681497
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.3-12.mga4
+ Revision: 528984
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 wally <wally> 0.2.3-11.mga4
+ Revision: 448466
- fix pkg names
- add patch from gentoo to fix build with cups 1.6
- disable static build
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 0.2.3-10.mga3
+ Revision: 357262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.2.3-9.mga3
+ Revision: 339254
- patch10: fix build with automake 1.13

* Wed Dec 05 2012 cjw <cjw> 0.2.3-8.mga3
+ Revision: 326969
- add BuildRequires: gettext-devel (for AM_NLS)
- patch9: fix glib includes

  + ovitters <ovitters>
    - clean spec

* Sun Jan 16 2011 pterjan <pterjan> 0.2.3-6.mga1
+ Revision: 20465
- Drop obsolete scriptlets
- imported package libgnomecups


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-6mdv2011.0
+ Revision: 602554
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-5mdv2010.1
+ Revision: 518852
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.2.3-4mdv2010.0
+ Revision: 425554
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 0.2.3-3mdv2009.1
+ Revision: 364611
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.2.3-2mdv2009.0
+ Revision: 222691
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdv2008.1
+ Revision: 159226
- new version
- drop patches 0,2
- update patch 3

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.2.2-5mdv2008.1
+ Revision: 150616
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 12 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.2-4mdv2008.0
+ Revision: 84719
- Fix Buildrequires
-Patch0 (SUSE): fix printer detection and cups 1.2 support
-Patch1 (SUSE): fix cups callback for authentication
-Patch2 (SVN): fix invalid mem access
-Patch3 (Fedora): add dbus support
-Patch4 (Ubuntu): parse cups loptions
-Patch5 (Ubuntu): fix remote printer detection
-Patch6 (Ubuntu): don't warn on stderr for IPP_NOT_FOUND
-Patch7 (Ubuntu): allow to change some cups printer attributes (ubuntu)

* Sat Jul 21 2007 Adam Williamson <awilliamson@mandriva.org> 0.2.2-3mdv2008.0
+ Revision: 54167
- rebuild for 2008
- new devel policy
- Import libgnomecups




* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-3mdv2007.0
- fix buildrequires

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.2.2-2mdk
- rebuild for openssl-0.9.8a

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.2.2-1mdk
- Release 0.2.2

* Tue Mar  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- drop merged patches
- New release 0.2.0

* Tue Dec 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.14-1mdk
- New release 0.1.14

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.13-2mdk 
- Patch0 (Fedora): asynchronous ppd fetching 
- Patch1 (Fedora): fix deadlock in mainloop

* Tue Oct  5 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.13-1mdk
- New release 0.1.13

* Tue Sep 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.12-1mdk
- New release 0.1.12

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.11-1mdk
- New release 0.1.11

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.10-1mdk
- Release 0.1.10 

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.9-2mdk
- fix buildrequires

* Mon Jul 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.9-1mdk
- Release 0.1.9 

* Tue Jun  8 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.8-1mdk
- New release 0.1.8

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.6-1mdk
- Release 0.1.6

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.5-1mdk
- First Mandrake package
